get
https://sellercenter-api.linio.com.mx/?Action=GetOrder
Get the order items for a single order.
Differs from GetOrders, which gets the customer details.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
| OrderId | Unsigned | Identifier of this order as assigned by Seller Center. |
| CustomerFirstName | String | The customer's first name. |
| CustomerLastName | String | The customer's last name. |
| OrderNumber | Unsigned | The human-readable order number. |
| PaymentMethod | String | The method of payment. |
| Remarks | String | A human-readable remark. |
| DeliveryInfo | String | ? |
| Price | Float | The total amount for this order. |
| GiftOption | Boolean | 1 if item is a gift, 0 if it is not |
| GiftMessage | String | Gift message as specified b the customer. |
| CreatedAt | DateTime | Date and time when the order was placed. |
| UpdatedAt | DateTime | Date and time of last change to the order. |
| AddressBilling | Subsection | Node that contains additional nodes, which make up the billing address: FirstName, LastName, Phone, Phone2, Address1, Address2, City, PostCode, Country |
| AddressShipping | Subsection | Node that contains additional nodes, which make up the shipping address: FirstName, LastName, Phone, Phone2, Address1, Address2, City, PostCode, Country |
| NationalRegistrationNumber | String | Required in some countries. |
| ExtraAttributes | String | Extra attributes which were passed to Seller Center on getMarketPlaceOrders call. It is JSON string which client should parse it. |
| ItemsCount | Integer | Number of items in order. |
| Statuses | Array | Unique statuses of the items in the order. (hint: you can find all of the different status codes in the response example) |
Errors
| Error code | Message |
|---|---|
| 16 | E016: "%s" Invalid Order ID |
